GuiCommand: Name: FEM Analysis MenuLocation: Model , Analysis container Workbenches: FEM_Workbench Shortcut: S A SeeAlso: FEM_tutorial
FEM Analysis
Description
The FEM Analysis could be seen as a container that holds all objects of a Finite Element Analysis. It is mandatory to have an analysis container that holds all the needed objects. At least one of the following objects (apart from the mesh) is necessary for a mechanical analysis:
- solid material,
- fixed boundary condition or displacement boundary condition or rigid body constraint.
Usage
- There are several ways to invoke the command:
- Press the
Analysis container button.
- Select the Model →
Analysis container option from the menu.
- Use the keyboard shortcut: S then A.
- Press the
- A new Analysis is created and set to active.
- Other objects could be added or removed from the analysis container by drag and drop.
- To add new FEM objects to the document the analysis has to be active. Double-clicking on the analysis container activates the analysis.
Options
- Up to date there is no option to choose.
Properties
- OutpuDir: Specifies the working directory of the analysis
Scripting
most code here is deprecated in 0.17.
- new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
- add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
- remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
App.ActiveDocument.MechanicalAnalysis.Member = member
Examples:
import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)
addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]
removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member
{{FEM Tools navi}}
⏵ documentation index > FEM > FEM Analysis
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/FEM_Analysis.md